#!/bin/sh
# This script sets up mirror or new AOSP project to android.git.linaro.org

if [ -z "$1" ]; then
    echo "Usage: $0 <project name>"
    exit 1
fi

MIRROR_ROOT=/mnt/gerrit-mirror

if [ ! -d $MIRROR_ROOT ]; then
    echo "Mirror root directory ($MIRROR_ROOT) not found"
    exit
fi

ssh -p 29418 pfalcon@android.git.linaro.org gerrit create-project --name $1

DIR=$PWD
cd $MIRROR_ROOT
echo "$1" >/tmp/projname.tmp
python $DIR/gerrit-mirror.py clone git://android.git.kernel.org /tmp/projname.tmp
